%global min_glib2_ver 2.46
%global min_jsonglib_ver 1.2
%global min_libsoup_ver 2.32
%global min_gtkdoc_ver 1.20
%global min_gi_ver 0.9.5
%global min_valatools_ver 0.16
Name:                snapd-glib
Version:             1.43
Release:             3
Summary:             Library providing a GLib interface to snapd
License:             LGPLv2 or LGPLv3
URL:                 https://github.com/snapcore/%{name}
Source0:             https://github.com/snapcore/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:       gtk-doc >= %{min_gtkdoc_ver} autoconf automake gcc gcc-c++
BuildRequires:       gobject-introspection-devel >= %{min_gi_ver} libtool
BuildRequires:       pkgconfig(gio-2.0) >= %{min_glib2_ver}
BuildRequires:       pkgconfig(gio-unix-2.0) >= %{min_glib2_ver}
BuildRequires:       pkgconfig(glib-2.0) >= %{min_glib2_ver}
BuildRequires:       pkgconfig(json-glib-1.0) >= %{min_jsonglib_ver}
BuildRequires:       pkgconfig(libsoup-2.4) >= %{min_libsoup_ver} pkgconfig(Qt5Core)
BuildRequires:       pkgconfig(Qt5Network) pkgconfig(Qt5Qml) vala-tools >= %{min_valatools_ver}
Obsoletes:           snapd-login-service < 1.33
Provides:            snapd-login-service < 1.33
%global __provides_exclude_from ^%{_qt5_qmldir}/Snapd/.*\\.so$
%description
%{name} is a library that provides an interface to communicate
with snapd for GLib based applications.

%package devel
Summary:             Development files for %{name}
Requires:            %{name}%{?_isa} = %{version}-%{release}
%description devel
This package provides the files for developing applications
that use %{name} to communicate with snapd.

%package -n snapd-qt
Summary:             Library providing a Qt5 interface to snapd
Requires:            %{name}%{?_isa} = %{version}-%{release}
%description -n snapd-qt
snapd-qt is a library that provides an interface to communicate
with snapd for Qt based applications.

%package -n snapd-qt-qml
Summary:             Library providing a Qt5 QML interface to snapd
Requires:            snapd-qt%{?_isa} = %{version}-%{release}
%description -n snapd-qt-qml
snapd-qt-qml is a library that provides an interface to communicate
with snapd for Qt QML based applications.

%package -n snapd-qt-devel
Summary:             Development files for snapd-qt
Requires:            snapd-qt%{?_isa} = %{version}-%{release}
Requires:            %{name}-devel%{?_isa} = %{version}-%{release}
%description -n snapd-qt-devel
This package provides the files for developing applications
that use snapd-qt to communicate with snapd.

%prep
%autosetup -p1

%build
%configure --enable-gtk-doc --libexecdir=%{_libexecdir}/snapd \
	    --enable-snapd-qt --enable-qml-module
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete
%ldconfig_scriptlets
%ldconfig_scriptlets -n snapd-qt

%files
%license COPYING.LGPL2 COPYING.LGPL3
%doc NEWS
%{_libdir}/libsnapd-glib.so.*
%{_libdir}/girepository-1.0/Snapd-1.typelib

%files devel
%doc %{_datadir}/gtk-doc/html/snapd-glib
%{_includedir}/snapd-glib
%{_libdir}/libsnapd-glib.so
%{_libdir}/pkgconfig/snapd-glib.pc
%{_datadir}/vala/vapi/snapd-glib.*
%{_datadir}/gir-1.0/Snapd-1.gir

%files -n snapd-qt
%{_libdir}/libsnapd-qt.so.*

%files -n snapd-qt-qml
%{_qt5_qmldir}/Snapd/

%files -n snapd-qt-devel
%{_includedir}/snapd-qt
%{_libdir}/libsnapd-qt.so
%{_libdir}/pkgconfig/snapd-qt.pc
%{_libdir}/cmake/Snapd/

%changelog
* Thu Oct 15 2020 liuweibo <liuweibo10@huawei.com> - 1.43-3
- provides snapd-login-service 

* Tue Jul 14 2020 wangyue <wangyue92@huawei.com> - 1.43-2
- package init
